package common.world;

import common.biome.BaseBiome;
import common.tileentity.TileEntity;
import common.util.BlockPos;

public interface IWorldAccess extends IBlockAccess
{
    TileEntity getTileEntity(BlockPos pos);
    int getCombinedLight(BlockPos pos, int lightValue);
    BaseBiome getBiomeGenForCoords(BlockPos pos);
}
